Documentation Norce [Storm] Connect Product Service
Version: 4.0
The Product Service has Entities and Operations to create and update products and content in Norce Commerce.
Base URLs
https://customer-slug.api-se.norce.tech/commerce/connect/4.0
Endpoints
POST /Product/ImportCompetitorSkus
Import competitor prices
Use this to import data to the product catalog from price comparison solutions.
Read more about the method here.
Parameters
- X-StormConnect-Header (header) required
- Json serialized string in CompetitorSkuHeader format
- Type:
string
Request Body
List of competitor SKUs to import.
Content-Type: application/json
Schema: Array of CompetitorSku
Content-Type: application/xml
Schema: Array of CompetitorSku
Responses
200
Success
Content-Type: application/json
Schema: JobResponse
Content-Type: application/xml
Schema: JobResponse
400
Bad Request
500
Internal Server Error
POST /Product/ImportOnhands
Import on hand data
Use this to import availability data separated from other product data. Availability information on products not yet created in Norce Commerce will be ignored.
Read more about the method here.
Parameters
- X-StormConnect-Header (header) required
- Json serialized string in SkuOnhandHeader format
- Type:
string
Request Body
List of sku on hands to import.
Content-Type: application/json
Schema: Array of SkuOnhand
Content-Type: application/xml
Schema: Array of SkuOnhand
Responses
200
Success
Content-Type: application/json
Schema: JobResponse
Content-Type: application/xml
Schema: JobResponse
400
Bad Request
500
Internal Server Error
POST /Product/ImportPriceLists
Import price lists
Use this to import campaigns and other price lists. Price lists not existing in Norce Commerce will be created.
Read more about the method here.
Parameters
- X-StormConnect-Header (header) required
- Json serialized string in PriceListHeader format
- Type:
string
Request Body
List of price lists to import.
Content-Type: application/json
Schema: Array of PriceList
Content-Type: application/xml
Schema: Array of PriceList
Responses
200
Success
Content-Type: application/json
Schema: JobResponse
Content-Type: application/xml
Schema: JobResponse
400
Bad Request
500
Internal Server Error
POST /Product/ImportProducts
Import products
Use this to import whole product catalogs. To create products manufacturer code, manufacturer part no and your SKU part no is required. However, for updates either manufacturer code and manufacturer part no or SKU part no is needed. If Code is set in ProductFieldsThatAreSet it is mandatory for variant cluster creation and update, but otherwise it can be inferred from existing data. However, if fullfile is true code is mandatory as well to enable variant cluster management.
Only one price record is allowed per product. Use ImportSkuPriceList to add more prices. To import availability data use ImportOnhands.
Read more about the method here.
Parameters
- X-StormConnect-Header (header) required
- Json serialized string in ProductHeader format
- Type:
string
Request Body
List of products to import.
Content-Type: application/json
Schema: Array of Product
Content-Type: application/xml
Schema: Array of Product
Responses
200
Success
Content-Type: application/json
Schema: JobResponse
Content-Type: application/xml
Schema: JobResponse
400
Bad Request
500
Internal Server Error
POST /Product/ImportRelations
Import product relations
Use this to import relations for the whole product catalog.
Parameters
- X-StormConnect-Header (header) required
- Json serialized string in RelationHeader format
- Type:
string
Request Body
List of product relations to import.
Content-Type: application/json
Schema: Array of Relation
Content-Type: application/xml
Schema: Array of Relation
Responses
200
Success
Content-Type: application/json
Schema: JobResponse
Content-Type: application/xml
Schema: JobResponse
400
Bad Request
500
Internal Server Error
POST /Product/ImportSkuPriceLists
Import prices
Use this to import price data on products, separated from other product data. Prices on products not yet created in Norce will be ignored. Prices on price lists not yet created in Norce Commerce will also be ignored.
Parameters
- X-StormConnect-Header (header) required
- Json serialized string in SkuPriceListHeader format
- Type:
string
Request Body
List of SKU price lists to import. If Currency is different from the price list in Norce Commerce a conversion will occur to the currency of the price list with current exchange rates.
Content-Type: application/json
Schema: Array of SkuPriceList
Content-Type: application/xml
Schema: Array of SkuPriceList
Responses
200
Success
Content-Type: application/json
Schema: JobResponse
Content-Type: application/xml
Schema: JobResponse
400
Bad Request
500
Internal Server Error
Schemas
JobResponse
General response for async Connect jobs
Properties
- StatusCode (
string)- Status of the job
- Description (
string)- Short message describing the job
- JobId (
string)- Norce interal id created for this job. Refer to this for future requests.
- ValidationSummary -
ValidationSummary
ValidationSummary
Validation data for accepted payload
Properties
- NrOfItemsInTotal (
integer)- Total number of items in payload.
- NrOfValidationFailures (
integer)- Number of items that failed initial validation.
- Messages (
array)- Messages concerning the validation.
CompetitorSku
Competitor SKU data.
Properties
- CompetitorCode (
string) required- Unique code for competitor.
- CompetitorPartNo (
string) required- Competitor part number.
- IsInStock (
boolean) required- Specifies if the SKU is in stock at the competitor.
- IsPricesInclVat (
boolean) required- Specifies if prices are incl. VAT (true) or excluding VAT (false).
- PartNo (
string) required- Part number in Norce to which the competitor data is referencing.
- PriceSale (
number) required- The sale price from the competitor.
- PriceSaleInclFreight (
number) required- Competitor sale price incl. freight, same as PriceSale if no freight.
- Source (
string) required- Source of competitor data.
- CompetitorName (
string)- Name of the competitor.
- CurrencyCode (
string)- ISO 4217 code for the currency that prices are in.
- ExternalPopularities -
ExternalPopularity - ProductName (
string)- Product name for competitor data.
- SalesArea (
string)- Specifies target sales area.
- VatRate (
number)- VAT rate in percentage.
CompetitorSkuHeader
Competitor SKU import settings
Properties
- AccountId (
integer) required- Account which initiated the import. Learn about system accounts here.
- CompetitorSkuFieldsThatAreSet (
array) required- Array of strings representing competitor fields to be processed.
(Use the integer instead of the name for the xml content type)
0 = CompetitorName
1 = ProductName
2 = VatRate
3 = ExternalPopularities (Deprecated, not supported any longer)
- Array of strings representing competitor fields to be processed.
- FullFile (
boolean) required- Flag that specify how Norce Commerce Connect will handle the import. If true, all prices from the competitors not in this import will be deactivated. If false, the import will be handled as an update only, and other products already having prices will be ignored.
- JobId (
string)- Norce Commerce Connect job id. Only exists in import logs. Should be omitted in the import request.
- SerializationType (
array)- Request serialization type.(Use the integer instead of the name for the xml content type)
0 = JSON, 1 = XML
- Request serialization type.(Use the integer instead of the name for the xml content type)
- StorageName (
string)- Location of the import file on Norce's file area. Can be used instead of sending data directly in payload.
- SupplierId (
integer)- Derived from base header. Ignored in competitor import.
DeliveryMethod
Delivery method allowed for product.
Properties
- Code (
string) required- Delivery method code. Used for delivery method matching in Norce Commerce.
- IsActive (
boolean)- Sets product delivery method to active or inactive. Default true.
- PackagePercentage (
number)- Package percentage.
ExternalPopularity
Represents a popularity ranking from an external source.
Properties
- PartNo (
string) required- Part number in Norce Commerce to which the popularity information is referencing.
- PopularityValue (
number)- The popularity valu for the SKU.
- Source (
string)- The name of the external source. This name must correlate to a configured source in Norce Commerce.
Flag
Product flag information
Properties
- Code (
string) required- Product flag code. Used for product flag matching in Norce Commerce.
- IsSet (
boolean) required- Determines if a product flag is to be set or unset.
- IsCreateOnly (
boolean)- If true, data is only saved if flag record is new. Default: false.
- IsLimitedUpdate (
boolean)- If true, data is only saved if flag record is new or last updated by the same account as the one initiating the update. Default: false
- StopDate (
string)- Shows when flag was disabled for product.
Image
Product image information.
Properties
- ExternalCode (
string) required- External identifier for image matching.
- FileTypeName (
string) required- File type code. Should match file info set up in Norce Commerce, e.g. "MainImage", "Additional", "Embedded".
- Url (
string) required- Url to where the image is located. Must be a publically accessible endpoint.
- FileName (
string)- Image file name. If omitted it will be parsed from the url. Max length: 50
- LastModified (
string)- Time when image was last updated. Deprecated.
- Cultures (
array) - Array ofImageCulture- Localized values for image.
ImageCulture
Localized product image information.
Properties
- CultureCode (
string) required- Culture code, e.g. "sv-SE".
- Name (
string)- Localized name of the image.
- Description (
string)- Localized description of the image.
- AltText (
string)- Localized alt text for the image.
Info
Additional information defined by 3rd party. Applicable for different entities.
Properties
- Code (
string) required- External code for additional information field to be matched in Norce Commerce.
- Value (
string) required- Value to be set or updated on the information field.
ParametricValue
Parametric value to set. Use one of the value fields, depending on the type of the parameter. If code does not exist it will be created. If List value does not exist it will be created. Cultures for list values will only be added or updated, never deleted. Null values will result in no changes from before.
Properties
- ParametricCode (
string) required- External parametric code configured in Norce Commerce. Used to match parameter.
- Cultures (
array) - Array ofParametricValueCulture- List of parametric translations.
- MultipleValueList (
array) - Array ofParametricValueList- List of possible values to set for parametrics with multiple value choice.
- ValueBoolean (
boolean)- Boolean value to set.
- ValueDateTime (
string)- Date/time value to set.
- ValueDecimal (
number)- Decimal value to set.
- ValueInteger (
integer)- Integer value to set.
- ValueList -
ParametricValueList
ParametricValueCulture
Translated parametric value.
Properties
- CultureCode (
string) required- Culture code, e.g. "sv-SE".
- ValueText (
string) required- Translated text parametric value. Max length 255 chars for text-values, unlimited for HTML-values.
ParametricValueList
Parametric value for list of choices.
Properties
- Code (
string) required- Parametric value code. Use for parametric value matching in Norce Commerce.
- Value (
string) required- Value to set
- Description (
string)- Description of the value
- Cultures (
array) - Array ofParametricValueListCulture- Array with localized versions of value and description
ParametricValueListCulture
Localized parametric list values.
Properties
- CultureCode (
string) required- Culture code for this value
- Value (
string)- Localized value
- Description (
string)- Localized description
PriceList
Price list information.
Properties
- Code (
string) required- Externally defined price list code. Used to match price list in Norce Commerce.
- CurrencyCode (
string)- Currency code in ISO 4217 format, e.g. "SEK", "EUR", "USD".
- DefaultPriceRule (
integer)- Price rule to be set as default.
1 = Cost plus
2 = Fixed price
3 = Margin (purchase cost)
4 = Use recommended price
5 = Cost plus (unit cost)
6 = Margin (unit cost)
7 = Use standard price (pct discount)
8 = Competitive (purchase cost)
9 = Competitive (unit cost)
10 = Use standard price (fixed discount)
11 = Structure calculation
12 = Use catalog price
- Price rule to be set as default.
- DefaultPriceRuleCode (
string)- Deprecated
- DefaultPriceRuleValue (
number)- Default price list value.
- Description (
string)- Price list description
- EndDate (
string)- End date/time when price list is no longer valid.
- IsErpIntegrated (
boolean)- Deprecated
- IsPrimary (
boolean)- Determines if price list is primary. Only one price list can be primary on an application.
- IsPublic (
boolean)- Determines if price list is public and active.
- IsFavorite (
boolean)- Determines if price list is favorite for the current application.
- Name (
string)- Price list name. Max length: 50
- StartDate (
string)- Start time when price list is valid and applied.
- TypeCode (
string)- Price list type code
- Warehouses (
array) - Array ofWarehouse- List of warehouses where this price list is applicable.
- SalesArea (
integer)- Sales area identifier.
1 = Sweden
2 = Norway
3 = Denmark
4 = Finland
5 = UnitedKingdom
6 = Estonia
7 = Greenland
8 = Germany
9 = Italy
10 = Austria
11 = Spain
12 = Netherlands
13 = Belgium
14 = France
15 = Switzerland
17 = USA
18 = Ireland
19 = Canada
20 = Lithuania
21 = Latvia
22 = Japan
23 = SouthKorea
24 = Australia
25 = Europe
26 = Poland
27 = CzechRepublic
28 = Russia
29 = NoVAT
36 = Bulgaria
37 = Croatia
38 = Cyprus
39 = Greece
40 = Hungary
41 = Luxembourg
42 = Malta
43 = Portugal
44 = Romania
45 = Slovakia
46 = Slovenia
- Sales area identifier.
- DefaultMinMarginPercent (
number)- Default minimum product margin percentage.
- LimitToRecPrice (
boolean)- Limit to recommended price.
- ParentPriceListCode (
string)- Code of parent price list.
- DefaultSupplementalChargeFixed (
number)- Default supplemental charge (fixed)
- DefaultSupplementalChargePercent (
number)- Default supplemental charge (percentage)
- PriceRules (
array) - Array ofPriceListPriceRule- List of price rules.
- Population -
PriceListPopulation - InheritStructureCalculationRule (
array)- Set if and how structure calculation item prices should inherit from parent pricelist. Default: none.
PriceListPriceRule
Price rule.
Properties
- Type (
integer) required- Price list price rule identifier.
1 = CostPlus_PurchaseCost
3 = Margin_PurchaseCost
4 = UseRecommendedPrice
5 = CostPlus_UnitCost
6 = Margin_UnitCost
7 = UseStandardPrice_PctDiscount
10 = UseStandardPrice_FixedDiscount
12 = UseCatalogPrice
- Price list price rule identifier.
- Value (
number)- Value of selected type.
- LimitToRecPrice (
boolean)- Limit to recommended price.
- MinValue (
number)- Value range minimum.
- MaxValue (
number)- Value range maximum.
- ManufacturerCode (
string)- Manufacturer identifier code.
- CategoryCode (
string)- Category identifier code.
- Flags (
array)- List of flag identifier codes.
PriceListPopulation
Price list population.
Properties
- Type (
integer)- 1 = Exclude (All products are excluded from parent price list. Select what categories and manufacturers to include.)
2 = Include (All products are include from parent price list. Select what categories and manufacturers to exclude.)
- 1 = Exclude (All products are excluded from parent price list. Select what categories and manufacturers to include.)
- AllCategories -
PriceListPopulationAllCategories - Categories (
array) - Array ofPriceListPopulationCategory- List of population rules for categories.
- RequireSupplier (
boolean)- Specifies if supplier is required. (defaults to false)
PriceListPopulationAllCategories
Specifies population rules for all categories.
Properties
- RuleType (
integer) required- 1 = None (Removes all rules if any exists.)
2 = Manufacturers
3 = Flags
- 1 = None (Removes all rules if any exists.)
- RuleCodes (
array)- Identifier codes for Manufacturers or Flags depending on type.
Is required if type is Manufacturers or Flags.
Is ignored if other type is used.
- Identifier codes for Manufacturers or Flags depending on type.
PriceListPopulationCategory
category population rule.
Properties
- Code (
string) required- Category identifier code.
- RuleType (
integer) required- 1 = None (Removes all rules if any exists.)
2 = Manufacturers
3 = Flags
4 = Category
- 1 = None (Removes all rules if any exists.)
- RuleCodes (
array)- Identifier codes of Manufacturers or Flags depending on type.
Is required if type is Manufacturer or Flags.
Is ignored if other type is used.
- Identifier codes of Manufacturers or Flags depending on type.
- RequireSupplier (
boolean)- Specifies if supplier is required. (defaults to false)
PriceListHeader
Price list import settings
Properties
- AccountId (
integer) required- Account which initiated the import. Learn about system accounts here.
- PriceListFieldsThatAreSet (
array) required- Array of strings representing price list fields to be processed.
(Use the integer instead of the name for the xml content type)
0 = Name
1 = CurrencyCode
2 = StartDate
3 = EndDate
4 = IsPublic
5 = IsPrimary
6 = TypeCode
7 = Warehouses (required if you have WarehouseFieldsThatAreSet and WarehouseLocationFieldsThatAreSet values)
8 = DefaultPriceRule
9 = Description
10 = IsErpIntegrated (Deprecated, not supported any longer)
11 = DoNotCreateApplicationPriceList (Will not automatically create a relation to the application)
12 = SalesArea
13 = DefaultMinMarginPercent
14 = LimitToRecPrice
15 = ParentPriceListCode
16 = DefaultSupplementalChargeFixed
17 = DefaultSupplementalChargePercent
18 = PriceRules
19 = PriceRulesCleanup (Remove all price rules before import starts)
20 = PriceRulesLimitedUpdate
21 = Population
22 = PopulationCleanup (Remove all populations before import starts)
23 = IsFavorite (Show pricelist in Admin)
24 = InheritStructureCalculationRule
- Array of strings representing price list fields to be processed.
- JobId (
string)- Norce Commerce Connect job id. Only exists in import logs. Should be omitted in the import request..
- SerializationType (
array)- Request serialization type.(Use the integer instead of the name for the xml content type)
0 = JSON, 1 = XML
- Request serialization type.(Use the integer instead of the name for the xml content type)
- StorageName (
string)- Location of the import file on Norce's file area. Can be used instead of sending data directly in payload.
- SupplierId (
integer)- Derived from base header. Ignored in price list import.
- WarehouseFieldsThatAreSet (
array)- Array of strings representing warehouse fields to be processed.
(requires values in WarehouseLocationFieldsThatAreSet as well)
(Use the integer instead of the name for the xml content type)
0 = Type
1 = Name
2 = LeadTimeDayCount
- Array of strings representing warehouse fields to be processed.
- WarehouseLocationFieldsThatAreSet (
array)- Array of strings representing warehouse location fields to be processed.
(requires values in WarehouseFieldsThatAreSet as well)
(Use the integer instead of the name for the xml content type)
0 = Name
1 = LeadTimeDayCount
2 = IsIncludedInStockCalculation
- Array of strings representing warehouse location fields to be processed.
- PriceListPriceRuleFieldsThatAreSet (
array)- Array of strings representing price list rule fields to be processed.
(Use the integer instead of the name for the xml content type)
0 = Type
1 = Value
2 = LimitToRecPrice
- Array of strings representing price list rule fields to be processed.
Product
Product information. If the product has multiple variants, Code is required, otherwise it should be omitted. It can be also be omitted if the Code flag is not set in header.
Properties
- Code (
string)- Product code. Used for product cluster matching in Norce Commerce.
- ManufacturerCode (
string)- Manufacturer code. Required when creating products or as part of identifier of a product combined with ManufacturerPartNo on variant.
- AdditionalImages (
array) - Array ofImage- List of additional product images.
- Alias (
string)- Product alias.
- AssortmentCode (
string)- Product assortment code. If set, assortment with this code will be associated to product.
- Categories (
array) - Array ofProductCategory- List of categories product shall be placed in.
- Cultures (
array) - Array ofProductCulture- List of translated product information fields.
- Family -
ProductFamily - MainImage -
Image - ManufacturerName (
string)- Manufacturer name. If manufacturer doesn't exist this field is required to create a new manufacturer.
- ProductFlags (
array) - Array ofFlag- List of flags applied to product.
- ProductParametrics (
array) - Array ofParametricValue- List of parametrics applied to product.
- VariantDefinitionGroup -
VariantDefinitionGroup - Variants (
array) - Array ofVariant- List of product variants.
ProductCategory
Product category information. Categories that can not be matched will not be created but give a warning in the logs.
Properties
- Code (
string) required- Category code. Used for category matching in Norce Commerce.
- SortOrder (
integer)- Determines in which order this category shall be applied to product. Use sort order 1 for primary category.
ProductCulture
Translated product information.
Properties
- CultureCode (
string) required- Culture code, e.g. "en-GB". Required to import cultures.
- Description (
string)- Translated product description.
- DescriptionHeader (
string)- Translated product description header. Max length: 255
- IsUniqueUrlNameManuallyMaintained (
boolean)- Determines if UniqueUrlName is manually maintained.
- MetaDescription (
string)- Translated product meta description.
- MetaTags (
string)- Translated product meta tags.
- Name (
string)- Translated product name. Max length: 255
- SubDescription (
string)- Translated additional product description.
- SubHeader (
string)- Translated additional product header. Max length: 255
- Synonyms (
string)- Translated product synonymous names. Max length: 500
- Tags (
string)- Translated product tags.
- Title (
string)- Translated product title. Max length: 255
- UniqueUrlName (
string)- Language specific unique prodct url name, called 'Unique url' in administration gui.
ProductFamily
Product family information. Families that can not be matched will not be created but give a warning in the logs.
Properties
- Code (
string) required- Externally defined product family code. Used for product family matching in Norce Commerce.
- Name (
string)- Product family name.
ProductHeader
Import product settings. Required to instruct Connect on what to do with provided information.
Properties
- AccountId (
integer) required- Account which initiated the import. Learn about system accounts here.
- FullFile (
boolean) required- If set to true all products previously in a variant cluster that is not in the cluster (i.e. without code) in this import will be removed from the cluster.
- ProductFieldsThatAreSet (
array) required- Specifies which product fields shall be updated.
(Use the integer instead of the name for the xml content type)
0 = ManufacturerCode
1 = ManufacturerName
2 = Alias
3 = Code
4 = Variants (required if you have VariantFieldsThatAreSet values)
5 = Cultures (required if you have ProductCultureFieldsThatAreSet values)
6 = Categories
7 = MainImage
8 = AdditionalImages
9 = Family
10 = ProductParametrics
11 = ProductParametricsCreateOnly (Value is only set if the product parametric entity is created by the import)
12 = VariantDefinitionGroup
13 = VariantDefinitionGroupCreateOnly (Value is only set if the variant definition entity is created by the import)
14 = Assortment
15 = CategoriesCreateOnly (Value is only set if the product category entities is created by the import)
16 = CategoriesLimitedUpdate (If category is manually changed in the Admin UI import is ignored)
17 = AdditionalImagesCleanUp (Remove all additional images not included in the import)
18 = ParametricsCleanUp (Remove all parametrics from the entity, not included in the import)
19 = ImagesAndFilesCleanup (Remove all additional images and files not included in the import)
- Specifies which product fields shall be updated.
- IgnoreSkuPriceListFieldsWhenEmpty (
array)- Specifies which SKU price list fields that are mandatory. If this field is missing in the import this specific price entity will be ignored.
Required settings: StandardPrice in (SkuFieldsThatAreSet) and all fields added here must be in SkuPriceListFieldsThatAreSet as well
(Use the integer instead of the name for the xml content type)
3 = PriceSale
4 = CostPurchase
5 = CostUnit
6 = PriceRecommended
7 = PricePrevious
8 = PriceCatalog
10 = IsActive
- Specifies which SKU price list fields that are mandatory. If this field is missing in the import this specific price entity will be ignored.
- JobId (
string)- Norce Commerce Connect job id. Only exists in import logs. Should be omitted in the import request.
- ProductCultureFieldsThatAreSet (
array)- Specifies which product culture fields to be updated.
Required settings: Culture (in ProductFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
0 = Name
1 = NameCreateOnly (Value is only set if the product culture entity is created by the import)
2 = SubHeader
3 = SubDescription
4 = DescriptionHeader
5 = Description
6 = DescriptionCreateOnly (Value is only set if the product culture entity is created by the import)
7 = Synonyms
8 = Title
9 = Tags
10 = MetaTags
11 = MetaDescription
12 = NameLimitedUpdate (If name is manually changed in the Admin UI, import is ignored)
13 = UniqueUrlName
14 = IsUniqueUrlNameManuallyMaintained
15 = UniqueUrlNameCreateOnly (Value is only set if the product culture entity is created by the import)
- Specifies which product culture fields to be updated.
- SerializationType (
array)- Request serialization type.(Use the integer instead of the name for the xml content type)
0 = JSON, 1 = XML
- Request serialization type.(Use the integer instead of the name for the xml content type)
- SkuCultureFieldsThatAreSet (
array)- Specifies which SKU culture fields to be updated.
Required settings: Culture (in SkuFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
0 = Name
0 = ErpName
1 = ErpNameCreateOnly (Value is only set if the SKU culture entity is created by the import)
2 = Comment
3 = CommentCreateOnly (Value is only set if the SKU culture entity is created by the import)
- Specifies which SKU culture fields to be updated.
- SkuFieldsThatAreSet (
array)- Specifies which SKU fields to be updated.
Required settings: Skus (in VariantFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
0 = Name
1 = Status
2 = Type
3 = IntegrationPartNo
4 = CommodityCode
5 = EanCode
6 = TrackingCode
7 = UnitOfMeasurementType
8 = UnitOfMeasurementCount
9 = IsDropShipOnly
10 = IsBuyable
11 = DiscountClass
12 = RecommendedSalesQty
13 = IsRecommendedSalesQtyFixed
14 = ActualWeight
15 = VolumeWeight (Deprecated, not supported any longer)
16 = LogisticWidth
18 = LogisticHeight
19 = LogisticDepth
20 = StandardPrice (required if you have SkuPriceListFieldsThatAreSet values)
21 = VatRate
22 = StatusCreateOnly (Value is only set if the SKU entity is created by the import)
23 = StartDate
24 = StopDate
25 = StructureItems (required if you have SkuStructureItemFieldsThatAreSet values)
26 = PartNoCreateWhenMissing (Let's Norce automatically assign a unique PartNo)
- Specifies which SKU fields to be updated.
- SkuPriceListFieldsThatAreSet (
array)- Specifies which SKU price list fields to be updated.
Required settings: StandardPrice in (SkuFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
3 = PriceSale
4 = CostPurchase
5 = CostUnit
6 = PriceRecommended
7 = PricePrevious
8 = PriceCatalog
9 = IsPriceDiscountable
10 = IsActive
11 = IsPriceDiscountableCreateOnly (Value is only set if the SKU price list entity is created by the import)
12 = PriceRule
- Specifies which SKU price list fields to be updated.
- SkuStructureItemFieldsThatAreSet (
array)- Specifies which SKU structure item fields to be updated.
Required settings: StructureItems in (SkuFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
0 = SortOrder
1 = StandardStructureItemPrice
2 = AdditionalInfo
- Specifies which SKU structure item fields to be updated.
- StorageName (
string)- Location of the import file on Norce's file area. Can be used instead of sending data directly in payload.
- SupplierId (
integer)- Derived from base header. Ignored in product import.
- VariantCultureFieldsThatAreSet (
array)- Specifies which variant culture fields to be updated.
Required settings: Cultures (in VariantFieldsThatAreSet) and for anything except Name and UniqueUrl the Client Setting Product texts are variant unique must be active.
(Use the integer instead of the name for the xml content type)
0 = CultureCode
1 = Name
2 = NameCreateOnly (Value is only set if the variant cluster culture entity is created by the import)
3 = NameLimitedUpdate (If name is manually changed in the Admin UI, import is ignored)
4 = UniqueUrlName
5 = IsUniqueUrlNameManuallyMaintained
6 = UniqueUrlNameCreateOnly (Value is only set if the variant cluster culture entity is created by the import)
7 = SubHeader
8 = SubDescription
9 = DescriptionHeader
10 = Description
11 = DescriptionCreateOnly (Value is only set if the variant cluster culture entity is created by the import)
12 = Synonyms
13 = Title
14 = Tags
15 = MetaTags
16 = MetaDescription
- Specifies which variant culture fields to be updated.
- VariantFieldsThatAreSet (
array)- Specifies which variant fields to be updated.
Required settings: Variant (in ProductFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
0 = ManufacturerPartNo
1 = SortOrderValue
2 = StockDisplayBreakPoint
3 = IsDangerousGoods
4 = Cultures (required if you have VariantCultureFieldsThatAreSet values)
5 = Skus (required if you have SkuFieldsThatAreSet values)
6 = MainImage
7 = AdditionalImages
8 = VariantParametrics
9 = VariantParametricsCreateOnly (Value is only set if the variant cluster entity is created by the import)
10 = NonParametricVariantDefinitions
11 = NonParametricVariantDefinitionsCreateOnly (Value is only set if the variant cluster entity is created by the import)
12 = DeliveryMethods
13 = DeliveryMethodsCreateOnly (Value is only set if the variant cluster entity is created by the import)
14 = AdditionalImagesCleanUp (Remove all AdditionalImages from the entity, not included in the import)
15 = ParametricsCleanUp (Remove all Parametrics from the entity, not included in the import)
16 = TranslationRequested
17 = ImagesAndFilesCleanup (Remove all additional images and files not included in the import)
- Specifies which variant fields to be updated.
Relation
Product relation
Properties
- PartNo (
string) required- Part number for the SKU with relations.
- RelatedPartNo (
string) required- Part number for the related SKU.
- RelationTypeCode (
string) required- Code for the desired client defined relation type.
- Cultures (
array) - Array ofRelationCulture- List of cultures for the relation.
- IsActive (
boolean)- Sets the relation to active or inactive.
- IsRelatedVariantUnique (
boolean)- True if the related product is variant unique.
- IsVariantUnique (
boolean)- True if the relation is variant unique.
- SortOrder (
integer)- Sort order for this relation on the SKU.
RelationCulture
Culture for a specific relation and culture code.
Properties
- CultureCode (
string) required- Culture code for this specific culture (e.g. "en-US")
- Description (
string)- Description for the relation.
- DescriptionHeader (
string)- Description header for the relation.
- Name (
string)- Relation name
- SubDescription (
string)- Sub description for the relation.
- SubHeader (
string)- Sub header for the relation.
RelationHeader
Relation import settings.
Properties
- AccountId (
integer) required- Account which initiated the import. Learn about system accounts here.
- FullFile (
boolean) required- If set to true. Relations not in the file will be deactivated.
- RelationFieldsThatAreSet (
array) required- Specifies which relation fields that should be created/updated.
(Use the integer instead of the name for the xml content type)
0 = ManufacturerPartNo
1 = SortOrderValue
2 = StockDisplayBreakPoint
1 = IsActive
2 = IsVariantUnique
3 = IsVariantUniqueCreateOnly (Value is only set if the relation entity is created by the import)
4 = IsRelatedVariantUnique
5 = IsRelatedVariantUniqueCreateOnly (Value is only set if the relation entity is created by the import)
6 = DefaultName
7 = DefaultSubHeader
8 = DefaultSubDescription
9 = DefaultDescriptionHeader
10 = DefaultDescription
11 = Cultures (required if you have RelationCultureFieldsThatAreSet values)
12 = SortOrder
- Specifies which relation fields that should be created/updated.
- RelationCultureFieldsThatAreSet (
array)- Specifies which relation culture fields that should be created/updated.
Required settings: Culture (in RelationFieldsThatAreSet)
(Use the integer instead of the name for the xml content type)
1 = Name
2 = NameCreateOnly (Value is only set if the relation culture entity is created by the import)
3 = SubHeader
4 = SubDescription
5 = DescriptionHeader
6 = Description
7 = DescriptionCreateOnly (Value is only set if the relation culture entity is created by the import)
- Specifies which relation culture fields that should be created/updated.
Sku
Stock keeping unit information.
Properties
- PartNo (
string) required- SKU part no. Required when creating new products with SKUs or as identifier of existing SKUs.
- ActualWeight (
number)- SKU weight. If null is imported will be set to inherit from category.
- CommodityCode (
string)- Commodity code.
- Cultures (
array) - Array ofSkuCulture- List of SKU information translations.
- DiscountClass (
string)- Discount class.
- EanCode (
string)- EAN code, or GS1 code.
- IntegrationPartNo (
string)- The replaceable sku in other systems than Norce Commerce. Used when Norce Commerce has SKU's other systems does not recognize and the integration partno is sent instead.
- IsBuyable (
boolean)- Determines if SKU can be bought.
- IsDropShipOnly (
boolean)- Determines if SKU can only be sold using drop shipment.
- IsRecommendedSalesQtyFixed (
boolean)- Determines if recommended sales quantity is fixed.
- LogisticDepth (
number)- SKU depth
- LogisticHeight (
number)- SKU height
- LogisticWidth (
number)- SKU width
- RecommendedSalesQty (
number)- Recommended sales quantity
- StandardPrice -
SkuPriceList - StartDate (
string)- SKU activation time.
- Status (
integer)- SKU status. Required when creating new SKUs.
1 = Active
2 = Coming
3 = Expiring
4 = Hidden
5 = Inactive
6 = NotActivated
- SKU status. Required when creating new SKUs.
- StopDate (
string)- SKU deactivation time.
- StructureItems (
array) - Array ofSkuStructureItem- List of items included in SKU structure.
- TrackingCode (
string)- Tracking code.
- Type (
integer)- SKU type. Required when creating new SKUs.
1 = ErpStandard
2 = ErpRefurbished
3 = Freight
4 = Insurance
8 = Structure
9 = Invoice
11 = Service
14 = Standard
15 = ErpExtended
16 = ErpStandardNoStock
17 = ErpPackage
19 = ErpTempOutOfStock
20 = EnvironmentalFee
21 = PackingFee
24 = ErpPackageWithCalc
25 = DisplayOnly
29 = ErpStandard2
33 = License
- SKU type. Required when creating new SKUs.
- UnitOfMeasurementCount (
number)- Number of units in the specified type.
- UnitOfMeasurementType (
integer)- Unit of measurement type.
1 = Pieces
2 = Hour
3 = Kilogram
4 = Litre
5 = Pair
6 = SquareMeter
7 = Meter
- Unit of measurement type.
- VatRates (
array) - Array ofVatRate- List of VAT rates applicable for SKU.
- VolumeWeight (
number)- Deprecated. If required add as parameter instead.
SkuCulture
Translated SKU information.
Properties
- CultureCode (
string) required- Culture code, e.g. "en-GB". Required when importing SKU cultures.
- Comment (
string)- Translated comment.
- ErpName (
string)- Translated ERP name.
SkuOnhand
Availability information about SKU.
Properties
- LocationCode (
string) required- Location code. Used for SKU location matching in Norce Commerce.
- PartNo (
string) required- SKU part number.
- WarehouseCode (
string) required- Warehouse code. Used for warehouse matching in Norce Commerce.
- IncomingValue (
number)- Quantity of items that is purchased from a supplier but not yet recevied to the warehouse.
- Infos (
array) - Array ofInfo- Additional on hand information defined by 3rd party and configured in Norce Commerce administration GUI.
- IsActive (
boolean)- Sets warehouse SKU information to active or inactive.
- LeadTimeDayCount (
integer)- Indication of time required for delivery from this warehouse for this product.
- MaximumValue (
number)- Target stock level (max value)
- MinimumValue (
number)- Reorder point (min value)
- NextDeliveryDate (
string)- Determines when the next delivery of items to warehouse is expected to occur.
- OnOrderValue (
number)- Deprecated
- OnhandValue (
number)- Quantity of items on the shelf in the specified warehouse.
SkuOnhandHeader
On hand import settings.
Properties
- AccountId (
integer) required- Account which initiated the import. Learn about system accounts here.
- FullFile (
boolean) required- If set to true, all onHand records for the warehouses and locations in the import that is NOT included, will be deactivated.
- SkuOnhandFieldsThatAreSet (
array) required- Specifies which SKU on hand fields to be updated.
(Use the integer instead of the name for the xml content type)
3 = OnhandValue
4 = IncomingValue
5 = NextDeliveryDate
6 = LeadTimeDayCount
7 = OnOrderValue (Deprecated, not supported any longer)
8 = MinimumValue
9 = MaximumValue
10 = IsActive
11 = Infos
- Specifies which SKU on hand fields to be updated.
- JobId (
string)- Norce Commerce Connect job id. Only exists in import logs. Should be omitted in the import request.
- SerializationType (
array)- Request serialization type.(Use the integer instead of the name for the xml content type)
0 = JSON, 1 = XML
- Request serialization type.(Use the integer instead of the name for the xml content type)
- StorageName (
string)- Location of the import file on Norce's file area. Can be used instead of sending data directly in payload.
- SupplierId (
integer)- Derived from base header. Ignored in on hand import.
SkuPriceList
SKU price information. Send to Norce Commerce the price information that should be updated. Use the header fields to control what is updated. Any values that are null or 0 will be ignored (not overwrite current value in Norce), but if the field (e.g. PriceSale) is listed in IgnoreSkuPriceListFieldsWhenEmpty will cause the entire price entity to be ignored.
Properties
- PartNo (
string) required- SKU part number.
- PriceListCode (
string) required- Agreement code on the price list. Used for matching in Norce Commerce.
- CostPurchase (
number)- Purchase cost from supplier.
- CostUnit (
number)- Unit cost.
- CurrencyCode (
string)- Currency code in ISO 4217 format, e.g. "SEK", "EUR", "USD".
- IsActive (
boolean)- Sets SKU price to active or inactive.
- IsPriceDiscountable (
boolean)- Determines if discounts can be applied to the price.
- PriceCatalog (
number)- Catalog price.
- PricePrevious (
number)- Previous price. Can be used to show discounts.
- PriceRecommended (
number)- Recommended sale price.
- PriceRule (
integer)- Price rule for this SKU.
1 = CostPlus_PurchaseCost
2 = FixedPrice
3 = Margin_PurchaseCost
4 = UseRecommendedPrice
5 = CostPlus_UnitCost
6 = Margin_UnitCost
7 = UseStandardPrice_PctDiscount
8 = Competitive_PurchaseCost
9 = Competitive_UnitCost
10 = UseStandardPrice_FixedDiscount
11 = StructureCalculation
12 = UseCatalogPrice
- Price rule for this SKU.
- PriceRuleValue (
number)- Value to apply for selected Price Rule.
- PriceSale (
number)- Sale price.
- QuantityBreak (
integer)- Threshold which determines minimum quantity of items required for specified price list to be applied.
SkuPriceListHeader
Price import settings.
Properties
- AccountId (
integer) required- Account which initiated the import. Learn about system accounts here.
- FullFile (
boolean) required- If set to true, all price records for the price lists in the import that is NOT included, will be deactivated.
- IgnoreSkuPriceListFieldsWhenEmpty (
array)- Specifies which SKU price list fields that are mandatory. If this field is missing in the import this specific price entity will be ignored.
Required settings: All fields added here must be in SkuPriceListFieldsThatAreSet
(Use the integer instead of the name for the xml content type)
3 = PriceSale
4 = CostPurchase
5 = CostUnit
6 = PriceRecommended
7 = PricePrevious
8 = PriceCatalog
10 = IsActive
- Specifies which SKU price list fields that are mandatory. If this field is missing in the import this specific price entity will be ignored.
- SkuPriceListFieldsThatAreSet (
array) required- Specifies which SKU price list fields to be updated.
(Use the integer instead of the name for the xml content type)
3 = PriceSale
4 = CostPurchase
5 = CostUnit
6 = PriceRecommended
7 = PricePrevious
8 = PriceCatalog
9 = IsPriceDiscountable
10 = IsActive
11 = IsPriceDiscountableCreateOnly (Value is only set if the sku price list entity is created by the import)
12 = PriceRule
13 = FullfileResetInheritance
- Specifies which SKU price list fields to be updated.
- JobId (
string)- Norce Commerce Connect job id. Only exists in import logs. Should be omitted in the import request.
- SerializationType (
array)- Request serialization type.(Use the integer instead of the name for the xml content type)
0 = JSON, 1 = XML
- Request serialization type.(Use the integer instead of the name for the xml content type)
- StorageName (
string)- Location of the import file on Norce's file area. Can be used instead of sending data directly in payload.
- SupplierId (
integer)- Derived from base header. Ignored in SKU price list import.
SkuStructureItem
Structure item information.
Properties
- PartNo (
string) required- Part number of item to add to structure.
- Quantity (
number) required- Quantity of items included in structure.
- StructurePartNo (
string) required- Structure item part number, the parent package part number.
- AdditionalInfo (
array) - Array ofInfo- List of additional 3rd party information fields.
- SortOrder (
integer)- Item sort order in structure.
- StandardStructureItemPrice -
SkuStructureItemPriceList
SkuStructureItemPriceList
Structure item price list information.
Properties
- CurrencyCode (
string) required- Currency code in ISO 4217 format, e.g. "SEK", "EUR", "USD".
- ItemPriceListCode (
string) required- Structure item price list code. Used for price list matching in Norce Commerce.
- PartNo (
string) required- This item part number.
- PriceListCode (
string) required- Structure price list code (parent). Used for price list matching in Norce Commerce.
- PriceSale (
number) required- Structure item sale price
- StructurePartNo (
string) required- Structure item part number, the parent package part number.
- QuantityBreak (
integer)- Minimum quantity required for a price rule to be applied.
Variant
Variant information.
Properties
- ManufacturerPartNo (
string) required- Manufacturer part number. Required when creating products or in combination with ManufacturerCode as identifier of a specific product.
- AdditionalImages (
array) - Array ofImage- List of additional images.
- Cultures (
array) - Array ofVariantCulture- List of translated variant information fields.
- DeliveryMethods (
array) - Array ofDeliveryMethod- List of delivery methods applicable to variant. Use this to restrict which delivery methods that is allowed on the product.
- IsDagerousGoods (
boolean)- Determines if a variant is dangerous goods.
- MainImage -
Image - NonParametricVariantDefinitions (
array) - Array ofVariantDefinition- List of variant definitions.
- Skus (
array) - Array ofSku- List of SKUs associated to variant.
NOTE: Only one SKU is allowed, multiple SKUs creation for the same product is deprecated, use variantization instead.
- List of SKUs associated to variant.
- SortOrderValue (
integer)- Sort order of variant among all the variants.
- StockDisplayBreakPoint (
array) - Array ofFlag- Stock display break point. Can be used to change the stock value that is displayed.
- TranslationRequested (
string)- Set to the point in time the translation was requested or null to reset.
- VariantFlags (
array) - Array ofFlag- List of flags applied to variant.
- VariantParametrics (
array) - Array ofParametricValue- List of parametrics applied to variant.
VariantCulture
Translated variant information. Only Name and UniqueUrlName will be created and/or updated if Client Setting Product texts are variant unique is not set.
Properties
- CultureCode (
string) required- Culture code, e.g. "en-GB". Required when working with variant culture information.
- IsUniqueUrlNameManuallyMaintained (
boolean)- Determines if UniqueUrlName is manually maintained.
- Description (
string)- Translated variant description.
- DescriptionHeader (
string)- Translated variant description header. Max length: 255
- MetaDescription (
string)- Translated variant meta description.
- MetaTags (
string)- Translated variant meta tags.
- Name (
string)- Translated variant name.
- SubDescription (
string)- Translated additional variant description.
- SubHeader (
string)- Translated additional variant header. Max length: 255
- Synonyms (
string)- Translated variant synonymous names. Max length: 500
- Tags (
string)- Translated variant tags.
- Title (
string)- Translated variant title. Max length: 255
- UniqueUrlName (
string)- Unique URL
VariantDefinition
Variant definition information.
Properties
- TypeCode (
string) required- Variant type code. Used for variant type matching in Norce Commerce.
- Cultures (
array) - Array ofVariantDefinitionCulture- List of translated variant definitions.
VariantDefinitionCulture
Translated variant definition.
Properties
- CultureCode (
string) required- Culture code, e.g. "en-GB"
- Value (
string) required- Translated definition value.
VariantDefinitionGroup
Variant definition information.
Properties
- Code (
string) required- Variant definition group code.
- Name (
string)- Variant definition group name.
- Types (
array) - Array ofVariantDefinitionType- List of variant definition types.
VariantDefinitionType
Variant definition type.
Properties
- Code (
string) required- Variant definition type code. Used for variant type matching in Norce Commerce.
- Name (
string)- Type name.
- ParametricCode (
string)- Variant definition type parametric code.
- SortOrder (
integer)- Sort order.
VatRate
VAT rate percentage
Properties
- Rate (
number)- VAT rate
- SalesArea (
integer) required- Sales area identifier.
1 = Sweden
2 = Norway
3 = Denmark
4 = Finland
5 = UnitedKingdom
6 = Estonia
7 = Greenland
8 = Germany
9 = Italy
10 = Austria
11 = Spain
12 = Netherlands
13 = Belgium
14 = France
15 = Switzerland
17 = USA
18 = Ireland
19 = Canada
20 = Lithuania
21 = Latvia
22 = Japan
23 = SouthKorea
24 = Australia
25 = Europe
26 = Poland
27 = CzechRepublic
28 = Russia
29 = NoVAT
36 = Bulgaria
37 = Croatia
38 = Cyprus
39 = Greece
40 = Hungary
41 = Luxembourg
42 = Malta
43 = Portugal
44 = Romania
45 = Slovakia
46 = Slovenia
- Sales area identifier.
Warehouse
Warehouse information
Properties
- Code (
string) required- Warehouse code. Used for warehouse matching in Norce Commerce.
- Locations (
array) - Array ofWarehouseLocationrequired- List of warehouse locations.
- LeadTimeDayCount (
integer)- Indication of time required for delivery
- Name (
string)- Warehouse name.
- Type (
integer)- Warehouse type.
1 = Warehouse
2 = Store
3 = Transport
4 = Other
- Warehouse type.
WarehouseLocation
Properties
- Code (
string) required- Location code. Used for location matching in Norce Commerce.
- IsIncludedInStockCalculation (
boolean)- Determines if a location is part of central warehouse stock calculation.
- LeadTimeDayCount (
integer)- Indication of time required for delivery.
- Name (
string)- Location name.